<?php
session_start();


include_once("../scripts/connect.php");
   $conexion=conecta_default();
include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("1")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

	 extract($_POST);	 echo"$listacd $pago";
$id_cd=$sesion->id;
$qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";
$ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
$rrc = mysqli_fetch_row($ccc1);
$id_inv=$rrc[0];

$q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci where centro_activo=1";
$consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>
<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Depositos en banco</label><br>
<br>Seleccione una fecha incial y una fecha final <br>haciendo click en los caledarios que se encuentran a la deracha<br>
<br></center>

<form name=\"Agrega\" action=\"depositos_bancos.php\" method=\"post\">
<div align=\"center\">
<table width=\"357\" height=\"120\" border=\"1\">
<tr><td>Fecha Inicial:<td/>
<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" 
onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>
</tr>
<tr><td>Fecha Final:<td/>
<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\"
onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>
</tr>";

$q2 = "SELECT * from bancos  WHERE 1 ";
$c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta bancos' . mysqli_error($conexion));

echo"<tr><td>Banco:<td/><td><select name = \"pago\"><option value=\"1000\">Todos</option>";
  
for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
           echo"<option value=\"$a0\">$a1 $a2</option>";}
	
echo"</td></tr><tr><td>Centro Dist:<td/><td><select name = \"listacd\"><option value=\"1000\">Todos</option>";
 
while ($datos = mysqli_fetch_array($consultada1)){
echo "<option value=\"".$datos[0]."\">".$datos[0]." ".$datos[1]."</option>\n";
}  
echo"</select></td></tr>
<tr><td></td><td></td><td>
Nuevo sistema<input type=\"radio\" name=\"nvo\" value=\"1\" checked> Deposito_transaccion<input type=\"radio\" name=\"nvo\" value=\"2\"><br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Reporte\" />
</td></tr>
</table></div></form>";

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	if($generar=="Generar Reporte"){
	  $fecha1 =$_POST['fecha_i'];
	  $fecha2 =$_POST['fecha_f'];
	  $elpago =$_POST['pago'];
	  
	
	$vta_total=0;
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
		if($pago!=1000){
			
			 $losbcos="depositos_transaccion.idbanco='$elpago' and"; }else{$losbcos="";}
			
		if($listacd!=1000){$lostot="usuarios_ci_idusuarios_ci='$listacd' and "; }else{$lostot="";}	
			
	if($nvo==1){

$qq2="SELECT transacciones.idtransacciones as trans, fechat, usuarios_ci_idusuarios_ci as cd, inversionista_id_inver as inver, consec, depositos_transaccion.tipo as tipo, monto, folio, cuenta, numero, rfc, cantidad, puntos, tipostr_idtipostr as idt, id_voucher as voucher, date(fecha) as fechad, concat_ws(\" \", nombre, appat, apmat) as nombre FROM transacciones join depositos_transaccion on transacciones.idtransacciones=depositos_transaccion.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join bancos on bancos.idbanco=depositos_transaccion.idbanco WHERE $losbcos $lostot (tipostr_idtipostr=6 or tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=15 or tipostr_idtipostr=13 ) and fechat between \"$fecha1\" and \"$fecha2\" ";
	     
	
	
	  $cq2 = mysqli_query($conexion, $qq2) or die ('Error en la consulta depositos ' . mysqli_error($conexion));
	
	  echo"<center><table border=\"1\"> <tr>
	<th>FechaVta</th><th>FechaDep</th><th>Cantidad</th><th>Pago</th><th>TipoN</th><th>Banco</th><th>Nombre</th>
	<th>Pedido No.</th><th>Transaccion</th><th>CTotal</th>
	</tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($cq2);$i++){
	    $trans = $r1[0];
	    $fechat = $r1[1];
	    $cd = $r1[2];
	    $inver = $r1[3];
	    $consec = $r1[4];
	    $tipo = $r1[5];
	    $monto = $r1[6];
	    $folio = $r1[7];
	    $cuenta = $r1[8];
	    $numero = $r1[9];
	    $rfc = $r1[10];
	    $cantidad = $r1[11];
	    $puntos = $r1[12];
	    $idt = $r1[13];	  
	    $voucher = $r1[14];
	     $fechad = $r1[15];
	      $nombre = $r1[16];
	      
	      switch ($tipo) {
	    case 5:
	        $elpago="TPV";$cuenta="";
	        break;
	    case 1:
	         $elpago="TC";$cuenta="";
	        break;
	    case 2:
	          $elpago="Deposito";
	        break;
	            case 3:
	        $elpago="Efectivo"; $cuenta="Efectivo";
	        break;
	    case 4:
	         $elpago="Voucher"; $folio=$voucher; $cuenta=$voucher;
	        break;
	}
	 switch ($idt) {
	    case 10:
	        $eltipo="NV";
	        break;
	    case 11:
	         $eltipo="NS";
	        break;
	    case 15:
	        $eltipo="Agr";
	        break;
	            case 6:
	        $eltipo="OTS";
	        break;
	    
	}
	      
	    $vta_total+=$monto;
	
	echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
	<tr><td>$fechat</td><td align=\"center\"><b>$fechad</b></td><td>$ $monto</td><td>$elpago</td><td>$eltipo</td><td>$cuenta</td>"
	        . "<td>$nombre</td><td>$cd - $consec</td><td>$trans</td><td>$cantidad</td>
	<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /></td></tr>
	<input type=hidden name=dist value=$a11>
	
				<input type=hidden name=pedido value=$trans>
	<input type=hidden name=tipon value=$a12 /></form>";
	}echo"</table>totales $vta_total";
	
	 $q2 = "SELECT  depositos_transaccion.tipo as tipo, sum(monto), cuenta, numero FROM transacciones join depositos_transaccion on transacciones.idtransacciones=depositos_transaccion.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join  bancos on bancos.idbanco=depositos_transaccion.idbanco WHERE $losbcos $lostot (tipostr_idtipostr=6 or tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=15 or tipostr_idtipostr=13 ) and fechat between \"$fecha1\" and \"$fecha2\" group by tipo, cuenta";
	        
	        $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta 1234' . mysqli_error($conexion));
	
	  echo"<center><br>Globales por banco <table border=\"1\"> <tr>
	        <th>Tipo</th><th>Banco</th><th>Cantidad</th></tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	$a0 = $r1[0];
	$a1 = $r1[1];
	$a2 = $r1[2];
	$a3 = $r1[3];
	 switch ($a0) {
	    case 5:
	        $elpago="TPV";$cuenta="";
	        break;
	    case 1:
	         $elpago="TC";$cuenta="";
	        break;
	    case 2:
	          $elpago="Deposito";
	        break;
	            case 3:
	        $elpago="Efect"; $cuenta="Efectivo";
	        break;
	    case 4:
	         $elpago="Voucher"; $folio=$voucher; $cuenta=$voucher;
	        break;
	}

	$vta5_totalt+=$a1;
	echo"<tr><td>$elpago</td><td align=\"center\"><b>$a2 $a3</b></td><td>$ $a1</td>";}
	$vta5_totalt_Form=number_format($vta5_totalt, 2, '.', ',');
	echo"</tr></table><br>Total depositado: <font size=\"5\"> <b>$ $vta5_totalt_Form</b></font><br>";
	
	
	
	 $q21 = "SELECT sum(cantidad), sum(puntos), sum(efectivo), sum(deposito), sum(tarjeta), sum(regalias), sum(voucher), sum(porpagar) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones WHERE $lostot (tipostr_idtipostr=6 or tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=13 or tipostr_idtipostr=15 ) and fechat between \"$fecha1\" and \"$fecha2\"";
 
  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
 //
  if(mysqli_affected_rows($conexion))
   {
  echo"<font size=\"+2\">Ventas por centro del d&iacute;a $fecha1 al $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>Compras</th><th>Contado</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th><th>Caja</th>
		
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c21);$i++)
   {
	

	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = redondear($r1[2]);
	   $a3 = $r1[3];
	   $a4 = redondear($r1[4]);
	  $a5 = redondear($r1[5]);
	  $a6 = redondear( $r1[6]);
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	  $real=$a0-$a7;
	
	         echo"<tr><td>$a0</td><td>$real</td><td>$a1</td><td>$a2</td><td>$a3</td><td>$a4</td><td>$a5</td><td>$ a6</td></tr>
		  ";
	}echo"</table>";
                                             }
	
				
								
	
	
	
	
	
	
	
	
	
	}	
	if($nvo==2){

$qq2="SELECT transacciones.idtransacciones as trans, fechat, usuarios_ci_idusuarios_ci as cd, inversionista_id_inver as inver, consec, tipo, monto, folio, cuenta, numero, rfc, cantidad, puntos, tipostr_idtipostr as idt, id_voucher as voucher, date(fecha) as fechad, concat_ws(\" \", nombre, appat, apmat) as nombre FROM transacciones join depositos_transaccion on transacciones.idtransacciones=depositos_transaccion.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver join bancos on bancos.idbanco=depositos_transaccion.idbanco WHERE $losbcos $lostot (tipostr_idtipostr=6 or tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=15 or tipostr_idtipostr=13 ) and fecha between \"$fecha1\" and \"$fecha2\" order by fecha asc";
	     
	
	
	  $cq2 = mysqli_query($conexion, $qq2) or die ('Error en la consulta depositos ' . mysqli_error($conexion));
	
	  echo"<center><table border=\"1\"> <tr>
	<th>FechaVta</th><th>FechaDep</th><th>Cantidad</th><th>Pago</th><th>TipoN</th><th>Banco</th><th>Nombre</th>
	<th>Pedido No.</th><th>Transaccion</th><th>CTotal</th>
	</tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($cq2);$i++){
	    $trans = $r1[0];
	    $fechat = $r1[1];
	    $cd = $r1[2];
	    $inver = $r1[3];
	    $consec = $r1[4];
	    $tipo = $r1[5];
	    $monto = $r1[6];
	    $folio = $r1[7];
	    $cuenta = $r1[8];
	    $numero = $r1[9];
	    $rfc = $r1[10];
	    $cantidad = $r1[11];
	    $puntos = $r1[12];
	    $idt = $r1[13];	  
	    $voucher = $r1[14];
	     $fechad = $r1[15];
	      $nombre = $r1[16];
	      
	      switch ($tipo) {
	    case 5:
	        $elpago="TPV";$cuenta="";
	        break;
	    case 1:
	         $elpago="TC";$cuenta="";
	        break;
	    case 2:
	          $elpago="Deposito";
	        break;
	            case 3:
	        $elpago="Efectivo"; $cuenta="Efectivo";
	        break;
	    case 4:
	         $elpago="Voucher"; $folio=$voucher; $cuenta=$voucher;
	        break;
	}
	 switch ($idt) {
	    case 10:
	        $eltipo="NV";
	        break;
	    case 11:
	         $eltipo="NS";
	        break;
	    case 15:
	        $eltipo="Agr";
	        break;
	            case 6:
	        $eltipo="OTS";
	        break;
	    
	}
	      
	    $vta_total+=$monto;
	
	echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
	<tr><td>$fechat</td><td align=\"center\"><b>$fechad</b></td><td>$ $monto</td><td>$elpago</td><td>$eltipo</td><td>$cuenta</td>"
	        . "<td>$nombre</td><td>$cd - $consec</td><td>$trans</td><td>$cantidad</td>
	<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /></td></tr>
	<input type=hidden name=dist value=$a11>
	
				<input type=hidden name=pedido value=$trans>
	<input type=hidden name=tipon value=$a12 /></form>";
	}echo"</table>totales $vta_total";
	
	 $q2 = "SELECT  tipo, sum(monto), cuenta, numero FROM transacciones join depositos_transaccion on transacciones.idtransacciones=depositos_transaccion.idtransacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join  bancos on bancos.idbanco=depositos_transaccion.idbanco WHERE $losbcos $lostot (tipostr_idtipostr=6 or tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=15 or tipostr_idtipostr=13 ) and fechat between \"$fecha1\" and \"$fecha2\" group by tipo, cuenta";
	        
	        $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta 1234' . mysqli_error($conexion));
	
	  echo"<center><br>Globales por banco <table border=\"1\"> <tr>
	        <th>Tipo</th><th>Banco</th><th>Cantidad</th></tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	$a0 = $r1[0];
	$a1 = $r1[1];
	$a2 = $r1[2];
	$a3 = $r1[3];
	 switch ($a0) {
	    case 5:
	        $elpago="TPV";$cuenta="";
	        break;
	    case 1:
	         $elpago="TC";$cuenta="";
	        break;
	    case 2:
	          $elpago="Deposito";
	        break;
	            case 3:
	        $elpago="Efect"; $cuenta="Efectivo";
	        break;
	    case 4:
	         $elpago="Voucher"; $folio=$voucher; $cuenta=$voucher;
	        break;
	}

	$vta5_totalt+=$a1;
	echo"<tr><td>$elpago</td><td align=\"center\"><b>$a2 $a3</b></td><td>$ $a1</td>";}
	$vta5_totalt_Form=number_format($vta5_totalt, 2, '.', ',');
	echo"</tr></table><br>Total depositado: <font size=\"5\"> <b>$ $vta5_totalt_Form</b></font><br>";
	
	
	
	 $q21 = "SELECT sum(cantidad), sum(puntos), sum(efectivo), sum(deposito), sum(tarjeta), sum(regalias), sum(voucher), sum(porpagar) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join pagovta on transacciones.idtransacciones=pagovta.idtransacciones WHERE $lostot (tipostr_idtipostr=6 or tipostr_idtipostr=10 or tipostr_idtipostr=11 or tipostr_idtipostr=13 or tipostr_idtipostr=15 ) and fechat between \"$fecha1\" and \"$fecha2\"";
 
  $c21 = mysqli_query($conexion, $q21) or die ('Error en la consulta' . mysqli_error($conexion));
 //
  if(mysqli_affected_rows($conexion))
   {
  echo"<font size=\"+2\">Ventas por centro del d&iacute;a $fecha1 al $fecha2</font><br><br><table border=\"1\" cellspacing=\"0\" cellpadding=\"1\"> <tr>
		<th>Compras</th><th>Contado</th><th>Puntos</th><th>EF</th><th>DE</th><th>TA</th><th>RE</th><th>VO</th><th>PP</th><th>Caja</th>
		
			</tr>";
  for($i=0;$r1 = mysqli_fetch_row($c21);$i++)
   {
	

	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = redondear($r1[2]);
	   $a3 = $r1[3];
	   $a4 = redondear($r1[4]);
	  $a5 = redondear($r1[5]);
	  $a6 = redondear( $r1[6]);
	  $a7 = $r1[7];
	  $a8 = $r1[8];
	  $real=$a0-$a7;
	
	         echo"<tr><td>$a0</td><td>$real</td><td>$a1</td><td>$a2</td><td>$a3</td><td>$a4</td><td>$a5</td><td>$ a6</td></tr>
		  ";
	}echo"</table>";
                                             }
	
				
								
	
	
	
	
	
	
	
	
	
	}
	
	
	
	
		else{
		
			
	
		    $q2 = "SELECT fechad, deposito, referencia, no_ficha, rfc, inversionista.nombre, appat, apmat, "
	        . "transacciones.idtransacciones, fechat, usuarios_ci_idusuarios_ci, id_inver, tipostr_idtipostr, consec, cuenta "
	        . "FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join "
	        . "depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join "
	        . "pagovta on transacciones.idtransacciones=pagovta.idtransacciones join "
	        . "bancos on bancos.idbanco=depositos.banco_idbanco "
	        . "WHERE  $lostot $losbcos deposito>0 and fechat between \"$fecha1\" and \"$fecha2\" "
	        . "order by cuenta, fechad";
	
	  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta depositos ' . mysqli_error($conexion));
	
	  echo"<center><table border=\"1\"> <tr>
	<th>FechaDep</th><th>Cantidad</th><th>Banco</th><th>Referencia</th><th>Folio</th><th>R.F.C.</th><th>Nombre</th>
	<th>Ap Paterno</th><th>Ap. Materno</th><th>Pedido No.</th><th>Transaccion</th><th>Fecha Compra</th><th>Centro</th>
	</tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	    $a0 = $r1[0];
	    $a1 = $r1[1];
	    $a2 = $r1[2];
	    $a3 = $r1[3];
	    $a4 = $r1[4];
	    $a5 = $r1[5];
	    $a6 = $r1[6];
	    $a7 = $r1[7];
	    $a8 = $r1[8];
	    $a9 = $r1[9];
	    $a10 = $r1[10];
	    $a11 = $r1[11];
	    $a12 = $r1[12];
	    $a13 = $r1[13];	  
	    $a14 = $r1[14];
	    $vta_total+=$a1;
	
	echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
	<tr><td>$a0</td><td align=\"center\"><b>$ $a1</b></td><td>$a14</td><td>$a2</td><td>$a3</td><td>$a4</td><td>$a5</td>"
	        . "<td>$a6</td><td>$a7</td><td>$a10 - $a13</td><td>$a8</td><td>$a9</td><td>$a10</td>
	<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /></td></tr>
	<input type=hidden name=dist value=$a11>
	
				<input type=hidden name=pedido value=$a8>
	<input type=hidden name=tipon value=$a12 /></form>";
	}
	
	$vta_total_Form = number_format($vta_total, 2, '.', ',');
	echo"</table><br>Depositos Totales: <font size=\"5\"> <b>$ $vta_total_Form</b></font><br>";
	
	
	$q2 = "SELECT  tarjeta, referencia, no_ficha, rfc, inversionista.nombre, appat, apmat, transacciones.idtransacciones, 
	 fechat, usuarios_ci_idusuarios_ci, id_inver, tipostr_idtipostr
	 FROM transacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join 
	 depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join 
	 pagovta on transacciones.idtransacciones=pagovta.idtransacciones 
	 WHERE tarjeta>0 and $losbcos $lostot fechat between \"$fecha1\" and \"$fecha2\" 
	 order by fechad, idtransacciones";
	
	  
	  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta tarjeta' . mysqli_error($conexion));
	
	  echo"<center><br>Pagos realizados con tarjeta <table border=\"1\"> <tr>
	<th>Cantidad</th><th>Referencia</th><th>Folio</th><th>R.F.C.</th><th>Nombre</th><th>Ap Paterno</th>
	<th>Ap. Materno</th><th>Transaccion</th><th>Fecha Compra</th><th>Centro</th></tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	        $a0 = $r1[0];
	        $a1 = $r1[1];
	        $a2 = $r1[2];
	        $a3 = $r1[3];
		$a4 = $r1[4];
		$a5 = $r1[5];
		$a6 = $r1[6];
		$a7 = $r1[7];
		$a8 = $r1[8];
		$a9 = $r1[9];
		$a10 = $r1[10];
		$a11 = $r1[11];
		$vta_totalt+=$a0;
	echo"<form name=\"busca\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">
	<tr><td align=\"center\"><b>$ $a0</b></td><td>$a1</td><td>$a2</td><td>$a3</td><td>$a4</td><td>$a5</td><td>$a6</td>"
	        . "<td>$a7</td><td>$a8</td><td>$a9</td>
	<td><input type=\"submit\" name=\"buscar\" id=\"continuar\" value=\"info\" /></td></tr>
	<input type=hidden name=dist value=$a11>
	
				<input type=hidden name=pedido value=$a8>
	<input type=hidden name=tipon value=$a12 /></form>";}
	
	$vta_totalt_Form = number_format($vta_totalt, 2, '.', ',');
	echo"</table><br>Total pagado con tarjeta: <font size=\"5\"> <b>$ $vta_totalt_Form</b></font><br>";	
	        
	        
	        $q2 = "SELECT sum(deposito), cuenta, numero  FROM transacciones join "
	        . "depositos on depositos.transacciones_idtransacciones=transacciones.idtransacciones join "
	        . "pagovta on transacciones.idtransacciones=pagovta.idtransacciones join "
	        . "bancos on bancos.idbanco=depositos.banco_idbanco "
	        . "WHERE $lostot $losbcos deposito>0 and fechat between \"$fecha1\" and \"$fecha2\"  "
	        . "group by banco_idbanco order by banco_idbanco";
	        
	        $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta 1234' . mysqli_error($conexion));
	
	  echo"<center><br>Globales por banco <table border=\"1\"> <tr>
	        <th>Banco</th><th>Cantidad</th></tr>";
	
	  for($i=0;$r1 = mysqli_fetch_row($c2);$i++){
	$a0 = $r1[0];
	$a1 = $r1[1];
	$a2 = $r1[2];
	$vta5_totalt+=$a0;
	echo"<tr><td align=\"center\"><b>$a1 $a2</b></td><td>$ $a0</td>";}
	$vta5_totalt_Form=number_format($vta5_totalt, 2, '.', ',');
	echo"</tr></table><br>Total depositado: <font size=\"5\"> <b>$ $vta5_totalt_Form</b></font><br>";
	 
	}
	}
?>